<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddVariable Method (IEdmSearch5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch5 Interface : AddVariable Method (IEdmSearch5)

Visual Basic
C#
C++/CLI

poIdOrName
  ID or name of variable for which to search

poValue
  Value for which to search (see Remarks)

Obsolete. Superseded by IEdmSearch8::AddVariable2 .

# Syntax

Visual Basic |
--- | ---

    Sub AddVariable( _
       ByRef poIdOrName As System.Object, _
       ByRef poValue As System.Object _
    )

C# |
--- | ---

    void AddVariable(
       ref System.object poIdOrName,
       ref System.object poValue
    )

C++/CLI |
--- | ---

    void AddVariable(
    &   System.Object^% poIdOrName,
    &   System.Object^% poValue
    )

#### Parameters

poIdOrName
  ID or name of variable for which to search
poValue
  Value for which to search (see Remarks)

# Remarks

poValue may contain wildcards:

- % - any number of arbitrary characters
- _ - exactly one arbitrary character

The number of times you could call this method was limited to 4 in SOLIDWORKS PDM Professional Version 6.0 and earlier. This restriction was removed in Version 6.1.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_KEY_NOT_FOUND: The variable name was not recognized.

# See Also

####

IEdmSearch5 Interface
IEdmSearch5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2